Bug 587056 - Review Request: hntool - Open source hardening tool for Unix
Summary: Review Request: hntool - Open source hardening tool for Unix
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Allisson Azevedo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-28 18:47 UTC by Filipe Rosset
Modified: 2010-08-28 21:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-28 21:00:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
allisson: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Filipe Rosset 2010-04-28 18:47:23 UTC
Spec URL: http://filiperosset.fedorapeople.org/packages/hntool/hntool.spec
SRPM URL: http://filiperosset.fedorapeople.org/packages/hntool/hntool-0.1.1-1.fc13.src.rpm
Description: HnTool is an open source (GPLv2) hardening tool for Unix. It scans your system for vulnerabilities or problems in configuration files.

Comment 1 Allisson Azevedo 2010-04-28 20:42:30 UTC
I'll make this review.

Comment 2 Allisson Azevedo 2010-04-28 21:04:38 UTC
[+] source files match upstream:
[+] package meets naming and versioning guidelines.
[+] license field matches the actual license.
[+] license text included in package.
[+] latest version is being packaged.
[+] BuildRequires are proper.
[+] compiler flags are appropriate.
    This is a noarch package.
[+] %clean is present.
[+] package builds in koji.
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2144155
[+] package installs properly.
[+] rpmlint is silent.
[+] owns the directories it creates.
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.
[+] no scriptlets present.
[+] documentation is small, so no -docs subpackage is necessary.

APPROVED

Comment 3 Filipe Rosset 2010-04-29 17:18:00 UTC
New Package CVS Request
=======================
Package Name: hntool
Short Description: Open source hardening tool for Unix
Owners: filiperosset
Branches: F-11 F-12 F-13 devel EL-5
InitialCC: filiperosset

Comment 4 Kevin Fenzi 2010-04-30 17:46:32 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.